## ganeti 2.9.3

=== debian/changelog ===
ganeti (2.9.3-1) unstable; urgency=medium

  * New upstream bugfix release (see /usr/share/doc/ganeti/NEWS.gz)
    + Supports the blktap2 Xen driver. Be sure to install blktap-dkms if you
      want to use file-backed instances on Xen 4.0.1+ (closes: #686823).
    + Drop debian/patches/FTBFS_with_sphinx_1.2.patch (merged upstream).
  * Update package description to also mention KVM.
  * Suggest blktap-dkms for blktap2 compatibility.
  * debian/watch: use the new downloads.ganeti.org distribution point and
    verify upstream GPG signatures.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 28 Jan 2014 11:52:11 +0200

ganeti (2.9.2-2) unstable; urgency=medium

  * Add patch fixing FTBFS with python-sphinx 1.2. Thanks to Andreas Moog!
    (closes: #733181)
  * Drop Recommends on qemu-system-x86, since it does not provide /usr/bin/kvm
    anymore.
  * Do not pass --enable-htools-rapi to configure, the option has been removed
    upstream since 2.8.
  * Bump standards to 3.9.5 (no changes needed).

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Fri, 27 Dec 2013 10:38:05 +0200

ganeti (2.9.2-1) unstable; urgency=medium

  * New upstream bugfix release (see /usr/share/doc/ganeti/NEWS.gz)

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Sun, 15 Dec 2013 19:47:41 +0200

ganeti (2.9.1-1) unstable; urgency=low

  * New upstream version
  * postinst: remove the ganeti-mond user when upgrading from previous versions
  * (Build-)Depends: OR with wheezy's names for iproute and kvm to ease
    backports

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Mon, 18 Nov 2013 08:13:22 +0200

ganeti (2.8.2-1) unstable; urgency=medium

  * New upstream bugfix release
    + Urgency set to medium, as this is a bugfix-only release and it fixes a
      serious bug with DRBD during live migrations.
  * Build Haskell binaries with read-only relocations (fixes hardening-no-relro
    lintian warning).
  * Do not emit an error message in postinst if /var/lib/ganeti/queue/archive
    does not exist.

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Fri, 08 Nov 2013 10:53:59 +0200

ganeti (2.8.1-1) unstable; urgency=low

  * New upstream version (closes: #726502)
  * Specify additional extstorage provider search paths:
    + /srv/ganeti/extstorage
    + /usr/local/lib/ganeti/extstorage
    + /usr/lib/ganeti/extstorage
    + /usr/share/ganeti/extstorage
  * Recommend ganeti-htools (instead of Suggest) and break older htools versions

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Thu, 17 Oct 2013 23:16:36 +0300

ganeti (2.8.0-1) unstable; urgency=low

  [ Iustin Pop ]
  * Remove myself from uploaders

  [ Apollon Oikonomopoulos ]
  * New upstream version (Closes: #721824)
  * Replace forgotten iproute dependency with iproute2
  * Build-Depend on libghc-snap-server-dev for the new ganeti-mond
  * Ship ganeti-mond and ganeti-luxid in ganeti-haskell
  * Require python version >= 2.6
  * Enable user separation
    + Add postinst/postrm templates and generator script
    + Update logrotate snippet to use su root root due to logdir permissions
    + Update job queue archive permissions in postinst if necessary
  * Disable the test suite during build
    + Currently broken due to the user separation

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Mon, 30 Sep 2013 14:29:51 +0300

ganeti (2.7.1-3) unstable; urgency=low

  * Remove Recommends: xen-linux-system-686 as the package has been replaced by
    xen-linux-system-686-pae
  * Ditto for Suggests: drbd8-module-source. DRBD has been available in all
    stock kernels since squeeze
  * ganeti-doc breaks ganeti2 due to the doc-base manifest (Closes: #718553)

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Wed, 31 Jul 2013 13:35:04 +0300

ganeti (2.7.1-2) unstable; urgency=low

  * Build-Depend on bash-completion and use dh_bash-completion
  * Fix binary-arch FTBFS (Closes: #718231)
    - Switch ganeti-haskell and ganeti-htools to dh_install only
    - Do not run dh_sphinxdoc when building binary-arch packages
    - Have dh_install ignore ganeti-haskell and ganeti-htools files when
      building binary-indep packages

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Mon, 29 Jul 2013 09:42:21 +0300

ganeti (2.7.1-1) unstable; urgency=low

  * New upstream version
  * Rebuild the sphinx documentation and use dh_sphinxdoc (Closes: #718026)
  * Drop the following patches already merged upstream:
    - 0001-daemon-util-pass-oknodo-at-rotate_logs.patch
    - 0001-daemon-util-provide-rotate_logs-and-rotate_all_logs-.patch
    - fix-ganeti-cleaner-in-crontab.patch

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Sun, 28 Jul 2013 04:59:44 +0300

ganeti (2.7.0-2) unstable; urgency=low

  * Rename ganeti2 to ganeti
    - Transition using a dummy ganeti2 package
  * Add dependencies on python-bitarray and python-ipaddr (Closes: #717296)
  * ganeti-haskell Replaces & Breaks older ganeti2 packages (Closes: #717242)
  * Build system refactoring
    - Use the dh sequencer and cleanup debian/rules
    - Switch from dh_pysupport to dh_python2
    - Run the upstream test suite during build
      o Add a patch to disable running `local' checks
  * Provide the /etc/logrotate.d/ganeti snippet
    - Include 2 patches, merged upstream, implementing the logrotate helper.
  * Ship the majority of the Python code in a private module under
    /usr/share/ganeti
  * Ship the RAPI client as a separate package (python-ganeti-rapi)
  * Ship the HTML documentation as ganeti-doc
    - Depend on libjs-underscore instead of embedding a copy
  * Update standards version to 3.9.4 and compat to 9
    - No changes needed, see #688251 for not adding Built-Using
  * Update the Vcs-* fields to use anonscm.debian.org
  * Add Apollon Oikonomopoulos <apoikos@gmail.com> to the Uploaders list
  * Require Python version 2.5 or newer
  * Convert debian/copyright to Format 1.0
  * Backport upstream commit 927840bc, fixing a stale check against
    ganeti-master-cleaner from the crontab.


