=== debian/control ===
Source: ganeti
Section: admin
Priority: extra
Maintainer: Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>
Uploaders: Guido Trotter <ultrotter@debian.org>,
 Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper (>= 9),
 python-all, ghc (>= 6.12), ghc-ghci,
 libghc-curl-dev, libghc-json-dev, libghc-snap-server-dev,
 libghc-network-dev, libcurl4-gnutls-dev, libghc-parallel-dev,
 libghc-utf8-string-dev, libghc-deepseq-dev, libghc-hslogger-dev,
 libghc-crypto-dev, libghc-text-dev, libghc-hinotify-dev,
 libghc-regex-pcre-dev, libghc-attoparsec-dev, libghc-vector-dev, libpcre3-dev,
 python-simplejson, python-pyparsing, python-openssl, python-bitarray,
 python-support (>= 0.6), python-pyinotify, python-pycurl,
 python-paramiko, python-ipaddr, python-sphinx (>= 1.0.7+dfsg), graphviz,
 qemu-utils, socat, iproute2 | iproute, bash-completion
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
Homepage: http://code.google.com/p/ganeti/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ganeti/ganeti.git
Vcs-Git: git://anonscm.debian.org/pkg-ganeti/ganeti.git

Package: ganeti
Architecture: all
Breaks: ganeti2 (<< 2.7.0-2), ganeti-htools (<< ${source:Version}),
 ganeti-htools (>= ${source:Version}.1~)
Replaces: ganeti2 (<< 2.7.0-2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, lvm2,
 openssh-client, openssh-server, bridge-utils, iproute2 | iproute,
 iputils-arping, openssl, python-simplejson, python-pyparsing, python-openssl,
 python-pyinotify, python-pycurl, python-paramiko, python-bitarray,
 python-ipaddr, socat, fping, ganeti-haskell (>= ${source:Version}),
 ganeti-haskell (<< ${source:Version}.1~), adduser
Recommends: drbd8-utils (>= 8.0.7), qemu-kvm |
 xen-linux-system-amd64 | xen-linux-system-686-pae,
 ganeti-instance-debootstrap, ndisc6, ganeti-htools
Suggests: ganeti-doc, blktap-dkms
Provides: ${python:Provides}
Description: Cluster-based virtualization management software
 Ganeti is a virtual server cluster management software tool built on top
 of the Xen and KVM virtualization technologies and other Free Software. After
 setting it up it will provide you with an automated environment to
 manage highly available virtual machine instances.
 .
 It has been designed to facilitate cluster management of virtual servers
 and to provide fast and simple recovery after physical failures using
 commodity hardware.
 .
 It will take care of operations such as redundant disk creation and
 management, operating system installation (in cooperation with OS-specific
 install scripts), startup, shutdown, failover of instances between physical
 systems.

Package: ganeti2
Architecture: all
Depends: ganeti, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package for ganeti. It can safely be removed.

Package: ganeti-haskell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: ganeti2 (<< 2.7.0-2)
Breaks: ganeti2 (<< 2.7.0-2)
Description: Cluster-based virtualization management software - Haskell components
 Ganeti is a virtual server cluster management software tool built on top
 of the Xen and KVM virtualization technologies and other Free Software. After
 setting it up it will provide you with an automated environment to
 manage highly available virtual machine instances.
 .
 It has been designed to facilitate cluster management of virtual servers
 and to provide fast and simple recovery after physical failures using
 commodity hardware.
 .
 It will take care of operations such as redundant disk creation and
 management, operating system installation (in cooperation with OS-specific
 install scripts), startup, shutdown, failover of instances between physical
 systems.
 .
 This package contains the architecture-dependent components of Ganeti written
 in Haskell.

Package: ganeti-htools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: ganeti2 (<< 2.4)
Description: Cluster allocation tools for Ganeti
 These are additional tools used for enhanced allocation and capacity
 calculation on Ganeti clusters.
 .
 The tools provided are:
   - hail, an iallocator script for ganeti
   - hbal, used to redistribute instances on the cluster
   - hspace, used for capacity calculation
   - hscan, used to gather cluster files for offline use in hbal/hspace
   - hroller, used to calculate rolling maintenances

Package: ganeti-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
Replaces: ganeti2 (<< 2.7.0-2)
Breaks: ganeti2 (<< 2.7.0-2)
Description: Cluster-based virtualization management software - documentation
 Ganeti is a virtual server cluster management software tool built on top
 of the Xen and KVM virtualization technologies and other Free Software. After
 setting it up it will provide you with an automated environment to
 manage highly available virtual machine instances.
 .
 It has been designed to facilitate cluster management of virtual servers
 and to provide fast and simple recovery after physical failures using
 commodity hardware.
 .
 It will take care of operations such as redundant disk creation and
 management, operating system installation (in cooperation with OS-specific
 install scripts), startup, shutdown, failover of instances between physical
 systems.
 .
 This package contains the full HTML documentation for Ganeti.

Package: python-ganeti-rapi
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends}, python-pycurl, python-simplejson
Suggests: ganeti-doc
Replaces: ganeti2 (<< 2.7.0-2)
Breaks: ganeti2 (<< 2.7.0-2)
Description: Cluster-based virtualization management software - RAPI client library
 Ganeti is a virtual server cluster management software tool built on top
 of the Xen and KVM virtualization technologies and other Free Software. After
 setting it up it will provide you with an automated environment to
 manage highly available virtual machine instances.
 .
 It has been designed to facilitate cluster management of virtual servers
 and to provide fast and simple recovery after physical failures using
 commodity hardware.
 .
 It will take care of operations such as redundant disk creation and
 management, operating system installation (in cooperation with OS-specific
 install scripts), startup, shutdown, failover of instances between physical
 systems.
 .
 This package contains a RAPI (Remote API) client library for Python.
