## ganeti 2.11.3

=== debian/changelog ===
ganeti (2.11.3-2) unstable; urgency=medium

  * Do not backup exported instance data from /var/lib/ganeti/export on
    gnt-cluster upgrade.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 11 Jul 2014 12:43:34 +0300

ganeti (2.11.3-1) unstable; urgency=medium

  * New upstream bugfix release (see /usr/share/doc/ganeti/NEWS.gz):
    + Readd nodes to their previous node group
    + Remove old-style gnt-network connect
    + Make network_vlan an optional OpParam
    + hspace: support --accept-existing-errors
    + Make hspace support --independent-groups
    + Add a modifier for a group's allocation policy
    + Export VLAN nicparam to NIC configuration scripts
    + Fix gnt-network client to accept vlan info
    + Support disk hotplug with userspace access
    + Make htools tolerate missing "spfree" on luxi
    + DRBD parser: consume initial empty resource lines
  * Use configure --with-haskell-flags to pass build flags
  * d/control: drop explicit B-D on libcurl4-gnutls-dev

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 10 Jul 2014 12:32:30 +0300

ganeti (2.11.2-1) unstable; urgency=medium

  [ Apollon Oikonomopoulos ]
  * New upstream release. New features include:
     + Detection of user-initiated instance shutdown (KVM & Xen) and
       configurable watcher behavior towards user-down instances.
     + Compression support for instance moves/backups/imports.
     + Ability to use SSH on ports other than 22.
     + Experimental GlusterFS-backed shared storage support.
     + New tool for dynamic power management planning, hsqueeze.
    See /usr/share/doc/ganeti/NEWS.gz for details
  * debian/watch: track 2.11 releases
  * Packaging changes for 2.11
     + New version-specific binary packages (ganeti-*-2.11)
     + Add build-depends on Haskell base64-bytestring and zlib
     + Refresh all patches for 2.11
     + Install ganeti-kvmd in ganeti-haskell-2.11

  [ Debconf translations ]
  * Czech debconf translation (Michal Šimůnek, closes: #751427)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 13 Jun 2014 12:07:09 +0300

ganeti (2.10.5-1) unstable; urgency=medium

  [ Apollon Oikonomopoulos ]
  * New upstream bugfix release (see /usr/share/doc/ganeti/NEWS.gz):
    + Make aspects of gnt-group evacuate behaviour controllable.
    + hspace performance improvements on large clusters with DRBD.
    + Fix instance network queries.
    + Relax the DRBD helper cluster parameter requirements.
  * Configure ganeti to use invoke-rc.d for SSH restart during node add
  * d/control: update forgotten descriptions
  * Update versioned.templates according to debian-l10n-en
  * Add reformatted PO files

  [ Debconf translations ]
  * German debconf translation (Stephan Beck, closes: #745211)
  * Italian debconf translation (Beatrice Torracca, closes: #745642)
  * Polish debconf translation (Michał Kułach, closes: #745067)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 02 Jun 2014 17:34:44 +0300

ganeti (2.10.4-1) unstable; urgency=medium

  * New upstream bugfix release (see /usr/share/doc/ganeti/NEWS.gz):
    + Support restricted migration in hbal
    + Fix for the --shared-file-storage-dir of gnt-cluster modify
    + Fail in replace-disks if attaching disks fails
    + Set IFF_ONE_QUEUE on created tap interfaces for KVM
    + Small fixes and enhancements in the build system
    + Various documentation fixes

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 16 May 2014 09:48:05 +0300

ganeti (2.10.3-1) unstable; urgency=medium

  [ Apollon Oikonomopoulos ]
  * New upstream bugfix release (see /usr/share/doc/ganeti/NEWS.gz):
    + Fix filtering of pending jobs with -o id
    + Make RAPI API calls more symmetric
    + Make parsing of old cluster configuration more robust
    + Fix wrong output of gnt-instance info after migrations
    + Fix reserved PCI slots for KVM hotplugging
    + Use runtime hypervisor parameters to calculate bockdevice options for KVM
    + Fix high node daemon load during disk sync if the sync is paused manually
    + Improve opportunistic locking during instance creation
    + Make watcher submit queries low priority
    + Add reason parameter to RAPI client functions
    + Fix failing gnt-node list-drbd command
    + Properly display fake job locks in gnt-debug.
    + small fixes in documentation
  * Drop 0001-Fix-specification-of-TIDiskParams.patch, merged upstream
  * Update debconf templates and package descriptions (Closes: #741404)
    + Update Greek translation to match the new templates
  * control.in: add missing dependencies, already present in debian/control

  [ Debconf translations ]
  * Danish (Joe Hansen, closes: #744899)
  * Japanese (Victory, closes: #743904)
  * Russian (Yuri Kozlov, closes: #744272)
  * Portuguese (Americo Monteiro, closes: #745146)
  * French (Julien Patriarca, closes: #744361)
  * Spanish (Camaleon, closes: #745429)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 22 Apr 2014 16:15:41 +0300

ganeti (2.10.2-2) unstable; urgency=high

  * Fix broken extstorage support (upstream commit b26a275a0, closes: #742699)
  * Urgency set to high; together with 2.10.2-1, this is an important bugfix
    release.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 27 Mar 2014 16:18:57 +0200

ganeti (2.10.2-1) unstable; urgency=medium

  * New upstream bugfix release (see /usr/share/doc/ganeti/NEWS.gz):
    + Fix conflict between virtio + spice or soundhw
    + accept relative paths in gnt-cluster copyfile
    + Introduce shutdown timeout for 'xm shutdown' command
    + Improve RAPI detection of the watcher
  * Add molly-guard helper script to prevent accidental shutdown/reboot of
    nodes with running instances. ganeti now Suggests: molly-guard.
  * ganeti.postinst fixes:
    + Silence daemon-util errors
    + Do not double-start ganeti upon upgrade
    + Fix a bug where the Haskell daemons would not be restarted properly on
      upgrade (affecting upgrades from 2.10 and on only).

