=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.sig/ \
 http://downloads.ganeti.org/releases/2.11/ ganeti-(\d+\.\d+[\d.]+)\.tar\.gz
