## ganeti 2.11.6

=== debian/changelog ===
ganeti (2.11.6-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 06 Oct 2014 13:00:35 +0300

ganeti (2.11.6-1) unstable; urgency=medium

  * New upstream release (see /usr/share/doc/ganeti/NEWS.gz):
    + License changed to 2-clause BSD.
    + Fix userspace disk device access checks.
    + gnt-instance modify --online now works as documented.
    + The watcher is paused during cluster upgrades; also, upgrade checks for
      upgrades to resume first.
    + Instance disks can be added with --no-wait-for-sync.
  * d/copyright: reflect upstream license change to 2-clause BSD.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 29 Sep 2014 23:02:04 +0300

ganeti (2.11.5-2) unstable; urgency=medium

  * d/rules: set config backup dir to /var/backups at ./configure 
    time (Closes: #754280)
  * d/control: recommend drbd-utils and fall back to drbd8-utils
  * d/copyright: rename the BSD license paragraph to BSD-2-Clause, to match
    the SPDX identifier.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 26 Aug 2014 18:09:13 -0700

ganeti (2.11.5-1) unstable; urgency=high

  * New upstream release
  * Fixes security vulnerability oCERT-2014-006, pending CVE (see NEWS.Debian)
  * Other minor fixes from 2.10.7 are included in this release
  * Update conflictign patch do-not-backup-export-dir.patch
  * no-op refresh (line update) for 0003-Disable-local-checks-during-build.patch

 -- Guido Trotter <ultrotter@debian.org>  Mon, 11 Aug 2014 15:11:16 +0200
