=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
  ganeti-htools-2.11 (>= ${source:Version}),
  ganeti-htools-2.11 (<< ${source:Version}.1~),
  adduser, ${misc:Depends}
-Recommends: drbd8-utils (>= 8.0.7), qemu-kvm |
+Recommends: drbd-utils | drbd8-utils (>= 8.0.7), qemu-kvm |
  xen-linux-system-amd64 | xen-linux-system-686-pae,
  ganeti-instance-debootstrap, ndisc6
 Suggests: ganeti-doc, blktap-dkms, molly-guard
