## ganeti 2.12.0

=== debian/changelog ===
ganeti (2.12.0-3) unstable; urgency=medium

  * Use proper groups for wconfd and metad (closes: #765764).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 18 Oct 2014 00:46:26 +0300

ganeti (2.12.0-2) unstable; urgency=medium

  * d/copyright: fix jquery.js license.  Thanks to Thorsten Alteholz.
  * Create the ganeti-masterd symlink in arch-indep builds. Fixes FTBFS in
    binary-only builds.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 14 Oct 2014 10:53:38 +0300

ganeti (2.12.0-1) unstable; urgency=medium

  * New upstream stable series; see /usr/share/doc/ganeti/NEWS.gz.
  * d/watch: look for 2.12 stable releases.
  * Drop patches merged upstream
    + backport-psutil-for-cpu-pinning.patch
    + fix-daemon-with-gnutls-3.3
  * Regenerate packaging for 2.12
    + New binary packages ganeti-2.12, ganeti-haskell-2.12,
      ganeti-htools-2.12 supersede the 2.11 ones.
  * Install wconfd and metad in ganeti-haskell-X.Y.
  * B-D on libghc-lifted-base-dev and libghc-lens-dev (new dependencies for
    2.12).
  * Manually ship a symlink for ganeti-masterd (which is gone in 2.12), to
    ensure the cluster remains operational during transitions from 2.10 or
    2.11, until gnt-cluster upgrade is run.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 10 Oct 2014 16:45:28 +0300

ganeti (2.11.6-2) unstable; urgency=medium

  * Bump standards to 3.9.6; no changes needed.
  * Enable KVM CPU affinity control
    + Backport upstream's KVM CPU affinity code from 2.12 (commits b04158d,
      0b26f68 and 71cbef5).
    + Depend on python-psutil.
  * Add a bug-script written in Python, attaching bits of ganeti's
    configuration to bug reports; also have ganeti depend directly on python
    for this.
  * Explicitly Build-Depend on libcurl4-openssl-dev to make really sure we
    will be built with the OpenSSL version of cURL.
  * Add a new patch, fix-daemon-with-gnutls-3.3, working around masterd
    crashing when run as a daemon.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 01 Oct 2014 16:13:27 +0300
